
Katello - Tracker #4638

Scoped Search Conversion

03/12/2014 07:38 AM - Ohad Levy

Status: Resolved % Done: 0%

Priority: Normal   

Assignee:    

Category: Hosts   

Target version: Katello 2.4.0   

Difficulty: medium Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1259374 Red Hat JIRA:  

Description

As a User, I would like to search based on scope search all AR objects that are extended by katello, for example:

Search by label on organization.

relates to:

https://bugzilla.redhat.com/show_bug.cgi?id=1075239

Related issues:

Related to Katello - Bug #6435: Search on filter page for filtering resources... Duplicate 06/30/2014

Related to Katello - Bug #6488: roles: auto search should be enabled for all ... Closed 07/03/2014

Related to Katello - Feature #6083: Support case insensitive search Rejected 06/05/2014

Blocked by Foreman - Bug #4637: remove search by label from all ancestry objects Closed 03/12/2014

Blocks Katello - Feature #5325: Nutupane: Add search favorites and history su... Closed 04/21/2014

Blocked by Katello - Feature #7887: Move Packages from Elasticsearch to the D... Closed 10/09/2014

Blocked by Katello - Feature #7888: Move Package Groups from Elasticsearch to... Closed 10/09/2014

Blocked by Katello - Feature #7889: Move Puppet Modules from Elasticsearch to... Closed 10/09/2014

Blocked by Katello - Feature #7890: Move Distributions from Elasticsearch to ... Closed 10/09/2014

Blocked by Katello - Refactor #7891: Convert Pools/Subscription from Elastics... Closed 10/09/2014

Blocked by Katello - Refactor #7892: Move Active Record objects with backend ... Closed 10/09/2014

Blocked by Katello - Refactor #8699: scoped search for system Closed 12/13/2014

Blocked by Katello - Refactor #8686: rewire gpg_keys for scoped search Resolved 12/13/2014

Blocked by Katello - Refactor #8687: scoped search for sync_plan Closed 12/13/2014

Blocked by Katello - Refactor #8688: scoped search for environment Closed 12/13/2014

Blocked by Katello - Refactor #8689: scoped search for host_collection Closed 12/13/2014

Blocked by Katello - Refactor #8690: scoped search for repository Closed 12/13/2014

Blocked by Katello - Feature #8691: scoped search for activation key Closed 12/13/2014

Blocked by Katello - Refactor #8692: scoped search for content_view Closed 12/13/2014

Blocked by Katello - Refactor #8693: scoped search for content_view_puppet_mo... Closed 12/13/2014

Blocked by Katello - Feature #8694: scoped search for content_view_puppet_env... Closed 12/13/2014

Blocked by Katello - Refactor #8695: scoped search for content_view_package_g... Closed 12/13/2014

Blocked by Katello - Refactor #8696: scoped search for content_view_package_f... Closed 12/13/2014

Blocked by Katello - Refactor #8697: scoped search for content_view_history Resolved 12/13/2014

Blocked by Katello - Refactor #8698: scoped search for content_view_filter Closed 12/13/2014

Blocked by Katello - Bug #10291: Ensure elasticsearch is removed, and configu... Closed 04/28/2015

Blocked by Katello - Feature #5334: Removing traces of Elastic Search from code Closed 04/21/2014

Blocked by Katello - Refactor #11752: Task status and Job need to be removed ... Closed 09/09/2015

Blocked by Katello - Refactor #11753: Remove content view filter rules from e... Closed 09/09/2015

Blocked by Katello - Refactor #11754: Remove content view history from elasti... Closed 09/09/2015

Blocked by Packaging - Bug #12511: rubygem hooks is no longer used by katello Closed
History

#1 - 03/12/2014 07:38 AM - Ohad Levy

- Blocked by Bug #4637: remove search by label from all ancestry objects added

#2 - 06/04/2014 12:58 AM - Eric Helms

- Category set to 83

- Difficulty set to easy

- Triaged set to No

#3 - 07/01/2014 06:50 AM - Stephen Benjamin

- Related to Bug #6435: Search on filter page for filtering resources raises NetworkError 404 not found added

#4 - 07/11/2014 05:17 AM - Stephen Benjamin

- Related to Bug #6488: roles: auto search should be enabled for all katello related resource types. added

#5 - 08/18/2014 02:03 PM - Eric Helms

- Subject changed from Add scoped search extentions to Use scoped search syntax for searching

- translation missing: en.field_release set to 14

- Triaged changed from No to Yes

#6 - 09/05/2014 10:16 AM - Eric Helms

- Blocks Feature #5325: Nutupane: Add search favorites and history support. added

#7 - 09/26/2014 04:58 PM - Eric Helms

- translation missing: en.field_release deleted (14)

#8 - 10/09/2014 03:29 PM - Eric Helms

- Tracker changed from Feature to Tracker

- translation missing: en.field_release set to 23

#9 - 10/09/2014 03:32 PM - Eric Helms

- Blocked by Feature #7887: Move Packages from Elasticsearch to the Database added

#10 - 10/09/2014 03:33 PM - Eric Helms

- Blocked by Feature #7888: Move Package Groups from Elasticsearch to Database added

#11 - 10/09/2014 03:34 PM - Eric Helms

- Blocked by Feature #7889: Move Puppet Modules from Elasticsearch to Database added

#12 - 10/09/2014 03:35 PM - Eric Helms

- Blocked by Feature #7890: Move Distributions from Elasticsearch to the Database added

#13 - 10/09/2014 03:48 PM - Eric Helms

- Blocked by Refactor #7891: Convert Pools/Subscription from Elasticsearch to the Database added

#14 - 10/09/2014 04:32 PM - Eric Helms

- Blocked by Refactor #7892: Move Active Record objects with backend data from Elasticsearch to the Database added

#15 - 01/07/2015 04:46 PM - Eric Helms

- Subject changed from Use scoped search syntax for searching to Scoped Search Conversion

#16 - 01/07/2015 04:47 PM - Eric Helms

- Blocked by Refactor #8699: scoped search for system added

#17 - 01/07/2015 04:47 PM - Eric Helms
- Blocked by Refactor #8686: rewire gpg_keys for scoped search added

#18 - 01/07/2015 04:48 PM - Eric Helms

- Blocked by Refactor #8687: scoped search for sync_plan added

#19 - 01/07/2015 04:48 PM - Eric Helms

- Blocked by Refactor #8688: scoped search for environment added

#20 - 01/07/2015 04:48 PM - Eric Helms

- Blocked by Refactor #8689: scoped search for host_collection added

#21 - 01/07/2015 04:48 PM - Eric Helms

- Blocked by Refactor #8690: scoped search for repository added

#22 - 01/07/2015 04:48 PM - Eric Helms

- Blocked by Feature #8691: scoped search for activation key added

#23 - 01/07/2015 04:48 PM - Eric Helms

- Blocked by Refactor #8692: scoped search for content_view added

#24 - 01/07/2015 04:48 PM - Eric Helms

- Blocked by Refactor #8693: scoped search for content_view_puppet_module added

#25 - 01/07/2015 04:49 PM - Eric Helms

- Blocked by Feature #8694: scoped search for content_view_puppet_environment added

#26 - 01/07/2015 04:49 PM - Eric Helms

- Blocked by Refactor #8695: scoped search for content_view_package_group_filter_rule added

#27 - 01/07/2015 04:49 PM - Eric Helms

- Blocked by Refactor #8696: scoped search for content_view_package_filter_rule added

#28 - 01/07/2015 04:49 PM - Eric Helms

- Blocked by Refactor #8697: scoped search for content_view_history added

#29 - 01/07/2015 04:49 PM - Eric Helms

- Blocked by Refactor #8698: scoped search for content_view_filter added

#30 - 02/06/2015 10:44 AM - Eric Helms

- Blocks Tracker #7605: As a Foreman user, I would like to be able to add Katello later to an existing Foreman installation added

#31 - 02/06/2015 07:16 PM - Eric Helms

- translation missing: en.field_release deleted (23)

#32 - 02/23/2015 09:20 AM - Eric Helms

- translation missing: en.field_release set to 31

#33 - 04/16/2015 09:09 AM - Stephen Benjamin

- Blocks deleted (Tracker #7605: As a Foreman user, I would like to be able to add Katello later to an existing Foreman installation)

#34 - 04/16/2015 09:10 AM - Stephen Benjamin

Removing from the Katello-on-Foreman effort, since it'll be done by the core team. Not a strict requirement for running Katello on existign foreman

anyway, just a nice to have.

#35 - 04/28/2015 08:37 AM - Stephen Benjamin

- Blocked by Bug #10291: Ensure elasticsearch is removed, and configuration files are cleaned up added
#36 - 06/10/2015 12:51 PM - Eric Helms

- translation missing: en.field_release deleted (31)

#37 - 07/06/2015 03:07 PM - Eric Helms

- translation missing: en.field_release set to 70

#38 - 08/23/2015 11:14 AM - Eric Helms

- Blocked by Feature #5334: Removing traces of Elastic Search from code added

#39 - 08/23/2015 11:22 AM - Eric Helms

- Related to Feature #6083: Support case insensitive search added

#40 - 09/02/2015 09:28 AM - Bryan Kearney

- Bugzilla link set to 1259374

#41 - 09/09/2015 02:12 PM - Eric Helms

- Blocked by Refactor #11752: Task status and Job need to be removed from elasticsearch (and potentially all together) added

#42 - 09/09/2015 02:15 PM - Eric Helms

- Blocked by Refactor #11753: Remove content view filter rules from elasticsearch added

#43 - 09/09/2015 02:15 PM - Eric Helms

- Blocked by Refactor #11754: Remove content view history from elasticsearch added

#44 - 09/23/2015 12:23 PM - Chris Peters

- Blocked by Refactor #11938: Rails 4 - Remove WebMock.allow_net_connect! added

#45 - 10/12/2015 06:19 AM - roman plevka

- Related to Bug #12123: Error when uploading rpms to a new repo, content_unit_class is taken as a string added

#46 - 10/12/2015 10:26 AM - roman plevka

- Related to deleted (Bug #12123: Error when uploading rpms to a new repo, content_unit_class is taken as a string)

#47 - 10/14/2015 07:58 AM - Eric Helms

- translation missing: en.field_release changed from 70 to 86

#48 - 11/17/2015 10:34 AM - Eric Helms

- Blocked by Bug #12511: rubygem hooks is no longer used by katello added

#49 - 11/17/2015 02:37 PM - Chris Peters

- Blocked by deleted (Refactor #11938: Rails 4 - Remove WebMock.allow_net_connect!)

#50 - 12/21/2015 08:35 AM - Eric Helms

- Status changed from New to Resolved

- Difficulty changed from easy to medium

#51 - 01/11/2016 02:25 PM - John Mitsch

- Related to Bug #13118: Scoped search autocomplete submits blank string added

#52 - 01/11/2016 02:25 PM - John Mitsch

- Related to Bug #13117: Scoped search errors on long queries added

#53 - 01/12/2016 05:30 PM - John Mitsch

- Related to deleted (Bug #13118: Scoped search autocomplete submits blank string)

#54 - 01/12/2016 05:31 PM - John Mitsch
- Related to deleted (Bug #13117: Scoped search errors on long queries)

#55 - 01/31/2016 09:25 AM - Eric Helms

- translation missing: en.field_release changed from 86 to 70
